> For a complete documentation index, fetch https://docs.voximplant.ai/llms.txt

# GetSubscriptionPrice

POST https://api.voximplant.com/platform_api/GetSubscriptionPrice

Gets the subscription template price.

**Example request:** Get the all subscription template prices.

Reference: https://docs.voximplant.ai/api-reference/management-api/reference/accounts/get-subscription-price

## OpenAPI Specification

```yaml
openapi: 3.1.0
info:
  title: management-api
  version: 1.0.0
paths:
  /GetSubscriptionPrice:
    post:
      operationId: get-subscription-price
      summary: GetSubscriptionPrice
      description: |-
        Gets the subscription template price.

        **Example request:** Get the all subscription template prices.
      tags:
        - subpackage_accounts
      parameters:
        - name: subscription_template_id
          in: query
          description: The subscription template ID list separated by semicolons (;)
          required: false
          schema:
            type: array
            items:
              type: integer
        - name: subscription_template_type
          in: query
          description: >-
            The subscription template type. The following values are possible:
            PHONE_NUM, SIP_REGISTRATION
          required: false
          schema:
            type: string
        - name: subscription_template_name
          in: query
          description: >-
            The subscription template name  (example: SIP registration, Phone
            GB, Phone RU 495, ...)
          required: false
          schema:
            type: string
        - name: count
          in: query
          description: The max returning record count
          required: false
          schema:
            type: integer
        - name: offset
          in: query
          description: The first **N** records are skipped in the output
          required: false
          schema:
            type: integer
            default: 0
        - name: Authorization
          in: header
          description: >-
            Voximplant Management API uses signed JWT tokens generated from your
            service-account private key. Pass the token in the `Authorization`
            header as a Bearer value:


            ```

            Authorization: Bearer $VOXIMPLANT_TOKEN

            ```


            See [Authorization](/api-reference/management-api/authorization) for
            ready-to-copy snippets in bash, Python, Node.js and Go that turn
            your `credentials.json` into a token.
          required: true
          schema:
            type: string
      responses:
        '200':
          description: Successful response
          content:
            application/json:
              schema:
                $ref: >-
                  #/components/schemas/accounts_GetSubscriptionPrice_Response_200
servers:
  - url: https://api.voximplant.com/platform_api
components:
  schemas:
    SubscriptionTemplateType:
      type: object
      properties:
        subscription_template_id:
          type: integer
          description: Subscription's template ID
        currency:
          type: string
          description: Subscription's currency
        installation_price:
          type: number
          format: double
          description: Subscription's installation price (without the first monthly fee)
        installation_price_in_currency:
          type: integer
          description: Subscription's installation price in the original currency
        price:
          type: number
          format: double
          description: Subscription's monthly fee, including taxes and discounts
        price_in_currency:
          type: number
          format: double
          description: Subscription's monthly fee in the original currency
        period:
          type: string
          description: >-
            Charge period in 24-h format: Y-M-D H:m:s. Example: 0-1-0 0:0:0 is 1
            month
        subscription_template_type:
          type: string
          description: >-
            Subscription template type. The following values are possible:
            PHONE_NUM, SIP_REGISTRATION
        subscription_template_name:
          type: string
          description: >-
            Subscription template name (example: SIP registration, Phone GB,
            Phone RU 495, ...)
        required_verification:
          type: string
          description: Whether verification is required for the account
        verification_status:
          type: string
          description: >-
            Verification status. Possible values are REQUIRED, IN_PROGRESS,
            VERIFIED, NOT_REQUIRED
        installation_tax_reserve:
          type: integer
          description: Phone number's installation tax reserve
        tax_reserve:
          type: integer
          description: Phone number's tax reserve
      description: The subscription template info.
      title: SubscriptionTemplateType
    accounts_GetSubscriptionPrice_Response_200:
      type: object
      properties:
        result:
          type: array
          items:
            $ref: '#/components/schemas/SubscriptionTemplateType'
          description: The subscription template prices
        total_count:
          type: integer
        count:
          type: integer
      title: accounts_GetSubscriptionPrice_Response_200
  securitySchemes:
    JwtAuth:
      type: http
      scheme: bearer
      description: >-
        Voximplant Management API uses signed JWT tokens generated from your
        service-account private key. Pass the token in the `Authorization`
        header as a Bearer value:


        ```

        Authorization: Bearer $VOXIMPLANT_TOKEN

        ```


        See [Authorization](/api-reference/management-api/authorization) for
        ready-to-copy snippets in bash, Python, Node.js and Go that turn your
        `credentials.json` into a token.

```

## SDK Code Examples

```python Success
import requests

url = "https://api.voximplant.com/platform_api/GetSubscriptionPrice"

headers = {"Authorization": "Bearer <token>"}

response = requests.post(url, headers=headers)

print(response.json())
```

```javascript Success
const url = 'https://api.voximplant.com/platform_api/GetSubscriptionPrice';
const options = {method: 'POST', headers: {Authorization: 'Bearer <token>'}};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```

```go Success
package main

import (
	"fmt"
	"net/http"
	"io"
)

func main() {

	url := "https://api.voximplant.com/platform_api/GetSubscriptionPrice"

	req, _ := http.NewRequest("POST", url, nil)

	req.Header.Add("Authorization", "Bearer <token>")

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby Success
require 'uri'
require 'net/http'

url = URI("https://api.voximplant.com/platform_api/GetSubscriptionPrice")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'

response = http.request(request)
puts response.read_body
```

```java Success
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.post("https://api.voximplant.com/platform_api/GetSubscriptionPrice")
  .header("Authorization", "Bearer <token>")
  .asString();
```

```php Success
<?php
require_once('vendor/autoload.php');

$client = new \GuzzleHttp\Client();

$response = $client->request('POST', 'https://api.voximplant.com/platform_api/GetSubscriptionPrice', [
  'headers' => [
    'Authorization' => 'Bearer <token>',
  ],
]);

echo $response->getBody();
```

```csharp Success
using RestSharp;

var client = new RestClient("https://api.voximplant.com/platform_api/GetSubscriptionPrice");
var request = new RestRequest(Method.POST);
request.AddHeader("Authorization", "Bearer <token>");
IRestResponse response = client.Execute(request);
```

```swift Success
import Foundation

let headers = ["Authorization": "Bearer <token>"]

let request = NSMutableURLRequest(url: NSURL(string: "https://api.voximplant.com/platform_api/GetSubscriptionPrice")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "POST"
request.allHTTPHeaderFields = headers

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```